pvars(_9181,_9182).
(:-ensure_loaded(library(ordsets))).
bn([A,B,C], D) :-
        choose_lb(B, C, A, D).
choose_lb(A, B, C, D) :-
        choose_slb_lb(A, B, C, E, F, G),
        ord_add_element(G, A, H),
        D=[C-F,A-E,B-H].
choose_lb(A, B, C, D) :-
        choose_slb_bl(A, B, C, E, F, G),
        ord_add_element(E, B, H),
        D=[C-F,A-H,B-G].
choose_lb(A, B, C, D) :-
        choose_slb_nobl(A, B, C, E, F, G),
        D=[C-F,A-E,B-G].
choose_slb_lb(_, A, B, C, D, E) :-
        choose_sb_sl_lb(B, A, D, E),
        C=[B].
choose_slb_lb(A, B, C, [], D, E) :-
        choose_bottom(C, B, F, E),
        ord_add_element(F, A, D).
choose_slb_lb(_, A, B, [], C, D) :-
        choose_bottom(B, A, C, D).
choose_slb_bl(_, A, B, C, D, E) :-
        choose_bottom(B, A, D, E),
        C=[B].
choose_slb_bl(A, B, C, [], D, E) :-
        choose_bl_ls(C, B, F, E),
        ord_add_element(F, A, D).
choose_slb_bl(_, A, B, [], C, D) :-
        choose_bottom(B, A, C, D).
choose_slb_nobl(_, A, B, C, D, E) :-
        choose_bottom(B, A, D, E),
        C=[B].
choose_slb_nobl(A, B, C, [], D, E) :-
        choose_bottom(C, B, F, E),
        ord_add_element(F, A, D).
choose_slb_nobl(_, A, B, [], C, D) :-
        choose_bottom(B, A, C, D).
choose_sb_sl_lb(A, _, [], [A]).
choose_sb_sl_lb(_, _, [], []).
choose_bottom(A, _, [], [A]).
choose_bottom(_, A, [A], []).
choose_bottom(_, _, [], []).
choose_bl_ls(_, A, [A], []).
choose_bl_ls(_, _, [], []).
