:- ensure_loaded( '../../../src/display_model' ).
:- ensure_loaded( '../priv/rrun_init_den_wr' ).
:- ensure_loaded( '../data/data_to_split_root' ).
% :- ensure_loaded( '../data/pima' ).
% :- ensure_loaded( denison_best ).

not_vacuous( [_,_,_,_,_|_] ).

disp_faulty :-
	findall( [A,B,C,D,E,F,G,H]-Kat, data(A,B,C,D,E,F,G,H,Kat), DataPrs ),
	data_pairs_to_skeleton_data( DataPrs, 1, SklData ),
	data_to_split_root( DataPrs, _, _ ),
	_OrgInCart = cart(8,56, cart(6,24.3,cart(7,0.261,leaf,cart(7,0.323,leaf,leaf)),
	             leaf),cart(7,0.277,cart(2,132,leaf,leaf),leaf) ),
	InCart = cart(5,95,cart(7,0.828,leaf,leaf),cart(5,110,leaf,cart(7,0.27,leaf,leaf))),
	decision_cart_to_cart( InCart, SklData, 0, MidSpCart ),
	Datum = data(_,_,_,_,_,_,_,_,_),
	cart_to_precise_data_values_cart( MidSpCart, Datum, Cart ),
	model_llhood( Cart, Lhood ),
	display_model( Cart, [title(ha),lhood(Lhood)] ).
