% comparison_data(LossFs,TrueM,DataSize,ModSpace,BStg,RunLgth,Prior,Lkhood,SeedId,StrGoal).

comparison_data( 
				[loss_01,loss_eg_01,loss_ck,loss_ks,loss_naive_edgecount],
				alarm,
				5000,
				rm,
				uc,
				25000,
				'../bns/slps/bn_or_pick_unif.slp',
				'../bns/src/llhood/lhood_canonical_bdeu_multi.pl',
				1,
				[],
				bn/[Nats]
						) :-
 	list_of_first_n_nats( 37, [], Nats ).

% Also need to define, model_id/2, prior_id/2, lhood_id/2.
% These provide shorthands of the respective comparison_data/n entries
% which will appear in the results directories.

model_id( alarm, al ).

prior_id( 'bn_or_pick_unif.slp', ou ).

% lhood_id( '../bns/src/llhood/lhood_canonical_uai01.pl', ua ).
lhood_id( '../bns/src/llhood/lhood_canonical_bdeu_multi.pl', md ).

list_of_first_n_nats( 0, Nats, Nats ) :- !.
list_of_first_n_nats( N, Acc, Nats ) :-
	DecN is N - 1,
	list_of_first_n_nats( DecN, [N|Acc], Nats ).
