
:- ensure_loaded( '../../../run' ).
% :- elm( 'auxil/create_mvisits' ).		     % exec_extension/2.
:- elm( 'carts/src/set_class_weights' ).

run_mh_aw2_3 :-
     ( environ(mcr,McrIn) -> atom_concat(McrIn,'/',Mcr) ; Mcr = 'res/' ),
     atom_concat( Mcr, 'pyk_dset_A_01_mh_aw2_3', Dir ),
     set_class_weights( ['Active'-2] ),
     Runs =	[
          model_type(cart_red(20)),
          runs_file(runs_mh_3),
          results_dir(Dir),
          print( [24,28,29,30] )
       ],
     run( Runs ).
