% 
aggregate_terms_in( File, PName, Res ) :-
	open( File, read, In ), 
	read( In, Term ),
	aggregate_terms_in_1( Term, In, PName, Term, Res ),
	close( In ).

aggregate_terms_in_1( end_of_file, _In, _PName, Res, Res ) :-
	!.
aggregate_terms_in_1( Term, In, PName, Acc, Res ) :-
	Call =.. [PName,Term,Acc,NxAcc],
	call( Call ),
	read( In, NxTerm ),
	aggregate_terms_in_1( NxTerm, In, PName, NxAcc, Res ).
