
/* 
     barplot the occurances of an mpl data file. 
     each data fact is of the form 
     data( List, Occurances ).

     List is not used.

     data_mpl_plot_occurances( 'laminal_clr_data_mpl.pl', laminal_clr_data_freqs ).

*/

:- use_module( library(readutil) ).

% :- ensure_loaded( library('R' ) ).
:- ensure_loaded( '../../../../pl/programs/r_session/r_session_yap.pl' ).

:- ensure_loaded( '../../src/init_lib' ).

data_mpl_plot_occurances( DataFile ) :-
     data_mpl_plot_occurances( DataFile, false ).

data_mpl_plot_occurances( InFile, Ps ) :-
     ( atom_concat(_Stem,'.pl',InFile) -> File=InFile; atom_concat( InFile, '.pl', File ) ),
     ensure_loaded( File ), 
     findall( Tms, data(_,Tms), Occs ),
     r_open, 
     r_in( barplot(Occs) ),
     ( Ps == false -> 
          true
          ;
          ( atom_concat(_PsStem,'.ps',Ps) -> PsF=Ps; atom_concat( Ps, '.ps', PsF ) ),
          atom_concat( '"', PsF, PsF1 ), atom_concat( PsF1, '"', PsF2 ),
          r_in( postscript(PsF2) ),
          r_in( barplot(Occs) ),
          r_in( 'dev.off()' )
     ),
     write( 'Press return to continue. ' ), nl,
     read_line_to_codes( user_input, _ ),
     r_close.
