:- ensure_loaded( '../src/init_lib' ).
:- ensure_loaded( library(file_to_list_of_lines) ).
:- ensure_loaded( library(lists) ).

sum_vis( File, Vis ) :-
	file_to_list_of_lines( File, Lines ),
	number_lines_to_numbers( Lines, Numbers ),
	sum_list( Numbers, Vis ).

number_lines_to_numbers( [], [] ).
number_lines_to_numbers( [H|T], [Hn|Tns] ) :-
	number_codes( Hn, H ),
	number_lines_to_numbers( T, Tns ).
