:- ensure_loaded( jc_llhood_ratio_fa_multi_spl ).
:- ensure_loaded( jc_alpha_bdeu).

lhood_canonical( MODst, _MODi, LLst, LLi, Ratio ) :-
	llhood_ratio( MODst, LLi, 0, LLst, LogofRatio ),
	Ratio is exp( LogofRatio ).
% llhood_ratio( MODst, MODi, LogofRatio ),

% Strictly speaking, we should provide the LLhood, but as
% far as lhood canonical/5 is aware, then it should be fine.
% model_llhood( Mod, LogLLhood )  :-
	% model_log_llhood( Mod, 0, LogLLhood ).

model_llhood( [], [] ).
model_llhood( [Family|T], [Family+Contrib|TofLgLlkCntrbs] ) :-
	llhood_family_contrib( Family, Contrib ),
	model_llhood( T, TofLgLlkCntrbs ).
