:- ensure_loaded( cart_llhood ).

lhood_canonical( Cart1, Cart2, Llhood1, Llhood2, Ratio ) :-
	llhood_w_diff( Cart1, Cart2, Llhood1, Llhood2, Diff ),
	Ratio is exp(Diff).

% llhood_w_diff( +Cart1, +Cart2, -Llhood1, +Llhood2, Diff ) :-
llhood_w_diff( Cart1, _Cart2, Llhood1, Llhood2, Diff ) :-
	cart_llhood( Cart1, Llhood1 ),
	Diff is Llhood1 - Llhood2.

model_llhood( Cart, Llhood ) :-
	cart_llhood( Cart, Llhood ).
