% comparison_data(LossFs,TrueM,DataSize,ModSpace,BStg,RunLgth,Prior,Lkhood,SeedId,StrGoal).

% :- ensure_loaded( '../auxil/include_sc_auxil' ).
% :- ensure_loaded( '../../auxil/create_mvisits' ).

comparison_data( 
				[loss_01,loss_eg_01,loss_ck,loss_ks,loss_naive_edgecount],
				alarm,
				1000,
				rm,
				uc,
				500,
				'../bns/slps/bn_or_pick_unif.slp',
				'../bns/src/llhood/lhood_canonical_bdeu_multi_mat.pl',
				103,
				% 451, 
				% 772,
				none,
				% none/include_sc_auxil,
				bn/[Nats]
						) :-
 	list_of_first_n_nats( 37, [], Nats ).

% Also need to define, model_id/2, prior_id/2, lhood_id/2.
% These provide shorthands of the respective comparison_data/n entries
% which will appear in the results directories.

model_id( alarm, al ).

prior_id( 'bn_or_pick_unif.slp', ou ).

% lhood_id( '../bns/src/llhood/lhood_canonical_uai01.pl', ua ).
lhood_id( '../bns/src/llhood/lhood_canonical_bdeu_multi.pl', md ).
lhood_id( '../bns/src/llhood/lhood_canonical_bdeu_multi_inc.pl', nc ).
lhood_id( '../bns/src/llhood/lhood_canonical_bdeu_multi_set.pl', st ).
lhood_id( '../bns/src/llhood/lhood_canonical_bdeu_multi_spl.pl', lr ).
lhood_id( '../bns/src/llhood/lhood_canonical_bdeu_multi_mat.pl', mx ).
lhood_id( '../bns/src/llhood/lhood_canonical_bdeu_multi_arg.pl', ag ).
% nc = incremental

list_of_first_n_nats( 0, Nats, Nats ) :- !.
list_of_first_n_nats( N, Acc, Nats ) :-
	DecN is N - 1,
	list_of_first_n_nats( DecN, [N|Acc], Nats ).
