% comparison_data(LossFs,TrueM,DataSize,ModSpace,BStg,RunLgth,Prior,Lkhood,SeedId,StrGoal).

% comparison_data( [loss_01,loss_eg_01,loss_ck,loss_ks,loss_naive_edgecount], asia, 10000, rm, cd(0), 100, '../bns/slps/bn_un_any_6h34.slp', '../bns/src/llhood/lhood_canonical_bdeu.pl', 1, TS, bn/[Nats] ) :-
comparison_data( [loss_01,loss_eg_01,loss_ck,loss_ks,loss_naive_edgecount], asia, 10000, rm, cd(0), 10000000, '../bns/slps/bn_or_any_6h34.slp', '../bns/src/llhood/lhood_canonical_bdeu.pl', 1, TS, bn/[Nats] ) :-
	TS = ds_of_two_to_script,
 	list_of_first_n_nats( 8, [], Nats ).

comparison_data( [loss_01,loss_eg_01,loss_ck,loss_ks,loss_naive_edgecount], asia, 10000, rm, cd(0), 10000000, '../bns/slps/bn_or_any_6h34.slp', '../bns/src/llhood/lhood_canonical_bdeu.pl', 175, TS, bn/[Nats] ) :-
	TS = ds_of_two_to_script,
 	list_of_first_n_nats( 8, [], Nats ).

comparison_data( [loss_01,loss_eg_01,loss_ck,loss_ks,loss_naive_edgecount], asia, 10000, rm, cd(0), 10000000, '../bns/slps/bn_or_any_6h34.slp', '../bns/src/llhood/lhood_canonical_bdeu.pl', 338, TS, bn/[Nats] ) :-
	TS = ds_of_two_to_script,
 	list_of_first_n_nats( 8, [], Nats ).

comparison_data( [loss_01,loss_eg_01,loss_ck,loss_ks,loss_naive_edgecount], asia, 10000, rm, uc, 10000000, '../bns/slps/bn_or_any_6h34.slp', '../bns/src/llhood/lhood_canonical_bdeu.pl', 1, TS, bn/[Nats] ) :-
	TS = ds_of_two_to_script,
 	list_of_first_n_nats( 8, [], Nats ).

% Also need to define, loss_id/2, model_id/2, prior_id/2, lhood_id/2.
% These provide shorthands of the respective comparison_data/n entries
% which will appear in the results directories.
loss_id( loss_01, id ).    % identity
loss_id( loss_eg_01, ed ). % equivalence class identity
loss_id( loss_ck, ck ).    % Castelo and Ko\v{c}ka
loss_id( loss_ks, ks ).    % Koivisto and Sood
loss_id( loss_naive_edgecount, ne ). 
loss_id( loss_kl, kl ). 	  % KL divergence

model_id( asia, as ).

prior_id( 'bn_or.slp', ts ).
prior_id( 'bn_or_2p_6h34.slp', tpt ).
prior_id( 'bn_un_any_6h34.slp', lc ).
prior_id( 'bn_or_any_6h34.slp', hc ).

% lhood_id( '../bns/src/llhood/lhood_canonical_uai01.pl', ua ).
lhood_id( '../bns/src/llhood/lhood_canonical_bdeu.pl', bd ).

ds_of_two_to_script( S ) :-
	write( S, domain_size('_',2) ), write( S, '.' ), nl( S ),
	write( S, possible_values('_',[0,1]) ), write( S, '.' ), nl( S ).

list_of_first_n_nats( 0, Nats, Nats ) :- !.
list_of_first_n_nats( N, Acc, Nats ) :-
	DecN is N - 1,
	list_of_first_n_nats( DecN, [N|Acc], Nats ).
