% append_on_dir( +Left, +Right, -Full ) :-
% Append Right onto the end of directory Left producing Full.
%
:- requires( slashify/2 ).

append_to_dir( Left, Right, Full ) :-
	( Left == '' ->
		Full = Right
		;
		( Right = '' ->
			Full = Left
			;
               slashify( Left, Pfx ),
			atom_concat( Pfx, Right, Full )
		)
	).

