% split_on_indices( List, Indices, Sel, LeftOver ) :-
split_on_indices( List, Indices, Sel, LeftOver ) :-
	Indices = [],
	!,
	Sel = [],
	LeftOver = List.
split_on_indices( List, Indices, Sel, LeftOver ) :-
	split_on_indices( List, Indices, 1, Sel, LeftOver ).

split_on_indices( [], [], _, [], [] ).
split_on_indices( [H|T], [Idx|TIdcs], I, Sel, LeftOver ) :-
	( Idx =:= I ->
		( TIdcs == [] -> 
			NxT = [], Sel = [H], LeftOver = T
			;
			NxT = T, NxIdcs = TIdcs,
			Sel = [H|TSel], LeftOver = TLeftOver
		)
		;
		NxT = T, NxIdcs = [Idx|TIdcs], 
		Sel = TSel, LeftOver = [H|TLeftOver]
	),
	NxI is I + 1,
	split_on_indices( NxT, NxIdcs, NxI, TSel, TLeftOver ).
